OpenTTD Source: YAPFSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
YAPFSettings Struct Reference

Settings related to the yet another pathfinder. More...

`#include <settings_type.h>`

## Data Fields
bool | disable_node_optimization
| whether to use exit-dir instead of trackdir in node key
uint32_t | max_search_nodes
| stop path-finding when this number of nodes visited
uint32_t | maximum_go_to_depot_penalty
| What is the maximum penalty that may be endured for going to a depot.
uint32_t | road_slope_penalty
| penalty for up-hill slope
uint32_t | road_curve_penalty
| penalty for curves
uint32_t | road_crossing_penalty
| penalty for level crossing
uint32_t | road_stop_penalty
| penalty for going through a drive-through road stop
uint32_t | road_stop_occupied_penalty
| penalty multiplied by the fill percentage of a drive-through road stop
uint32_t | road_stop_bay_occupied_penalty
| penalty multiplied by the fill percentage of a road bay
bool | rail_firstred_twoway_eol
| treat first red two-way signal as dead end
uint32_t | rail_firstred_penalty
| penalty for first red signal
uint32_t | rail_firstred_exit_penalty
| penalty for first red exit signal
uint32_t | rail_lastred_penalty
| penalty for last red signal
uint32_t | rail_lastred_exit_penalty
| penalty for last red exit signal
uint32_t | rail_station_penalty
| penalty for non-target station tile
uint32_t | rail_slope_penalty
| penalty for up-hill slope
uint32_t | rail_curve45_penalty
| penalty for curve
uint32_t | rail_curve90_penalty
| penalty for 90-deg curve
uint32_t | rail_depot_reverse_penalty
| penalty for reversing in the depot
uint32_t | rail_crossing_penalty
| penalty for level crossing
uint32_t | rail_look_ahead_max_signals
| max. number of signals taken into consideration in look-ahead load balancer
int32_t | rail_look_ahead_signal_p0
| constant in polynomial penalty function
int32_t | rail_look_ahead_signal_p1
| constant in polynomial penalty function
int32_t | rail_look_ahead_signal_p2
| constant in polynomial penalty function
uint32_t | rail_pbs_cross_penalty
| penalty for crossing a reserved tile
uint32_t | rail_pbs_station_penalty
| penalty for crossing a reserved station tile
uint32_t | rail_pbs_signal_back_penalty
| penalty for passing a pbs signal from the backside
uint32_t | rail_doubleslip_penalty
| penalty for passing a double slip switch
uint32_t | rail_longer_platform_penalty
| penalty for longer station platform than train
uint32_t | rail_longer_platform_per_tile_penalty
| penalty for longer station platform than train (per tile)
uint32_t | rail_shorter_platform_penalty
| penalty for shorter station platform than train
uint32_t | rail_shorter_platform_per_tile_penalty
| penalty for shorter station platform than train (per tile)
uint32_t | ship_curve45_penalty
| penalty for 45-deg curve for ships
uint32_t | ship_curve90_penalty
| penalty for 90-deg curve for ships

## Detailed Description

Settings related to the yet another pathfinder.

Definition at line 425 of file settings_type.h.

## Field Documentation

## ◆ disable_node_optimization

bool YAPFSettings::disable_node_optimization

whether to use exit-dir instead of trackdir in node key

Definition at line 426 of file settings_type.h.

Referenced by YapfRoadVehicleChooseTrack(), and YapfRoadVehicleFindNearestDepot().

## ◆ max_search_nodes

uint32_t YAPFSettings::max_search_nodes

stop path-finding when this number of nodes visited

Definition at line 427 of file settings_type.h.

## ◆ maximum_go_to_depot_penalty

uint32_t YAPFSettings::maximum_go_to_depot_penalty

What is the maximum penalty that may be endured for going to a depot.

Definition at line 428 of file settings_type.h.

Referenced by CheckIfTrainNeedsService().

## ◆ rail_crossing_penalty

uint32_t YAPFSettings::rail_crossing_penalty

penalty for level crossing

Definition at line 445 of file settings_type.h.

## ◆ rail_curve45_penalty

uint32_t YAPFSettings::rail_curve45_penalty

penalty for curve

Definition at line 442 of file settings_type.h.

## ◆ rail_curve90_penalty

uint32_t YAPFSettings::rail_curve90_penalty

penalty for 90-deg curve

Definition at line 443 of file settings_type.h.

## ◆ rail_depot_reverse_penalty

uint32_t YAPFSettings::rail_depot_reverse_penalty

penalty for reversing in the depot

Definition at line 444 of file settings_type.h.

## ◆ rail_doubleslip_penalty

uint32_t YAPFSettings::rail_doubleslip_penalty

penalty for passing a double slip switch

Definition at line 453 of file settings_type.h.

## ◆ rail_firstred_exit_penalty

uint32_t YAPFSettings::rail_firstred_exit_penalty

penalty for first red exit signal

Definition at line 437 of file settings_type.h.

## ◆ rail_firstred_penalty

uint32_t YAPFSettings::rail_firstred_penalty

penalty for first red signal

Definition at line 436 of file settings_type.h.

## ◆ rail_firstred_twoway_eol

bool YAPFSettings::rail_firstred_twoway_eol

treat first red two-way signal as dead end

Definition at line 435 of file settings_type.h.

## ◆ rail_lastred_exit_penalty

uint32_t YAPFSettings::rail_lastred_exit_penalty

penalty for last red exit signal

Definition at line 439 of file settings_type.h.

## ◆ rail_lastred_penalty

uint32_t YAPFSettings::rail_lastred_penalty

penalty for last red signal

Definition at line 438 of file settings_type.h.

## ◆ rail_longer_platform_penalty

uint32_t YAPFSettings::rail_longer_platform_penalty

penalty for longer station platform than train

Definition at line 455 of file settings_type.h.

## ◆ rail_longer_platform_per_tile_penalty

uint32_t YAPFSettings::rail_longer_platform_per_tile_penalty

penalty for longer station platform than train (per tile)

Definition at line 456 of file settings_type.h.

## ◆ rail_look_ahead_max_signals

uint32_t YAPFSettings::rail_look_ahead_max_signals

max. number of signals taken into consideration in look-ahead load balancer

Definition at line 446 of file settings_type.h.

## ◆ rail_look_ahead_signal_p0

int32_t YAPFSettings::rail_look_ahead_signal_p0

constant in polynomial penalty function

Definition at line 447 of file settings_type.h.

## ◆ rail_look_ahead_signal_p1

int32_t YAPFSettings::rail_look_ahead_signal_p1

constant in polynomial penalty function

Definition at line 448 of file settings_type.h.

## ◆ rail_look_ahead_signal_p2

int32_t YAPFSettings::rail_look_ahead_signal_p2

constant in polynomial penalty function

Definition at line 449 of file settings_type.h.

## ◆ rail_pbs_cross_penalty

uint32_t YAPFSettings::rail_pbs_cross_penalty

penalty for crossing a reserved tile

Definition at line 450 of file settings_type.h.

## ◆ rail_pbs_signal_back_penalty

uint32_t YAPFSettings::rail_pbs_signal_back_penalty

penalty for passing a pbs signal from the backside

Definition at line 452 of file settings_type.h.

## ◆ rail_pbs_station_penalty

uint32_t YAPFSettings::rail_pbs_station_penalty

penalty for crossing a reserved station tile

Definition at line 451 of file settings_type.h.

## ◆ rail_shorter_platform_penalty

uint32_t YAPFSettings::rail_shorter_platform_penalty

penalty for shorter station platform than train

Definition at line 457 of file settings_type.h.

## ◆ rail_shorter_platform_per_tile_penalty

uint32_t YAPFSettings::rail_shorter_platform_per_tile_penalty

penalty for shorter station platform than train (per tile)

Definition at line 458 of file settings_type.h.

## ◆ rail_slope_penalty

uint32_t YAPFSettings::rail_slope_penalty

penalty for up-hill slope

Definition at line 441 of file settings_type.h.

## ◆ rail_station_penalty

uint32_t YAPFSettings::rail_station_penalty

penalty for non-target station tile

Definition at line 440 of file settings_type.h.

## ◆ road_crossing_penalty

uint32_t YAPFSettings::road_crossing_penalty

penalty for level crossing

Definition at line 431 of file settings_type.h.

## ◆ road_curve_penalty

uint32_t YAPFSettings::road_curve_penalty

penalty for curves

Definition at line 430 of file settings_type.h.

## ◆ road_slope_penalty

uint32_t YAPFSettings::road_slope_penalty

penalty for up-hill slope

Definition at line 429 of file settings_type.h.

## ◆ road_stop_bay_occupied_penalty

uint32_t YAPFSettings::road_stop_bay_occupied_penalty

penalty multiplied by the fill percentage of a road bay

Definition at line 434 of file settings_type.h.

## ◆ road_stop_occupied_penalty

uint32_t YAPFSettings::road_stop_occupied_penalty

penalty multiplied by the fill percentage of a drive-through road stop

Definition at line 433 of file settings_type.h.

## ◆ road_stop_penalty

uint32_t YAPFSettings::road_stop_penalty

penalty for going through a drive-through road stop

Definition at line 432 of file settings_type.h.

## ◆ ship_curve45_penalty

uint32_t YAPFSettings::ship_curve45_penalty

penalty for 45-deg curve for ships

Definition at line 459 of file settings_type.h.

## ◆ ship_curve90_penalty

uint32_t YAPFSettings::ship_curve90_penalty

penalty for 90-deg curve for ships

Definition at line 460 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h